<?php // Do not delete these lines
	if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p><?php _e("This post is password protected. Enter the password to view comments.", 'theme'); ?><p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background, thanks Kubrick */
		$oddcomment = 'alt';
?>

<!-- You can start editing here. -->

<?php if ($comments) : ?>
<?php $dateformat = almostspring_dateformat(); ?>

	<h2 id="comments">
		<?php comments_number(__('Comments', 'theme'), __('1 Comment', 'theme'), __('% Comments', 'theme')); ?>
		<?php if ( comments_open() ) : ?>
			<a href="#respond" title="<?php _e('Jump to the comments form', 'theme'); ?>">&raquo;</a>
		<?php endif; ?>
	</h2>
	
	<ol id="commentlist">

	<?php foreach ($comments as $comment) : ?>

		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
		
		<h3 class="commenttitle"><?php comment_author_link() ?> <?php _e('said,', 'theme'); ?></h3>
		
		<p class="commentmeta">
			<?php if ($dateformat == 'default') { 
				comment_date();
			} else { 
				comment_date('F j, Y');
			} ?>
			<?php _e('at', 'theme'); ?> <a href="#comment-<?php comment_ID() ?>"><?php comment_time() ?></a>
			<?php edit_comment_link(__("Edit", 'theme'), ' &#183; ', ''); ?>
		</p>
		
		<?php comment_text() ?>
		
		</li>

		<?php 
			if ('alt' == $oddcomment) $oddcomment = '';
			else $oddcomment = 'alt';
		?>

	<?php endforeach; /* end for each comment */ ?>

	</ol>
	
<?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post-> comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
		
	<?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p><?php _e('The comment form is closed.', 'theme'); ?></p>
		
	<?php endif; ?>
	
<?php endif; ?>

<?php if (('open' == $post-> comment_status) || ('open' == $post-> ping_status)) : ?> 		
	<p><small>
	<?php comments_rss_link(__('<abbr title="Really Simple Syndication">RSS</abbr> feed for comments on this post', 'theme')); ?>
	<?php if ('open' == $post-> ping_status) : ?>
		&#183; <a href="<?php trackback_url() ?>" rel="trackback"><?php _e('TrackBack URL', 'theme'); ?></a>
	<?php endif; ?>
	</small></p>
<?php endif; ?>

<?php if ('open' == $post-> comment_status) : ?>

	<h2 id="respond"><?php _e('Leave a Comment', 'theme'); ?></h2>
	
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	
		<p><?php _e('You must be', 'theme'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>"><?php _e('logged in', 'theme'); ?></a> <?php _e('to post a comment.', 'theme'); ?></p>
	
	<?php else : ?>
	
		<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		
		<?php if ( $user_ID ) : ?>
		
			<p><?php _e('Logged in as', 'theme'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="<?php _e('Log out of this account', 'theme') ?>"><?php _e('Logout', 'theme'); ?> &raquo;</a></p>

		<?php else : ?>
	
			<p>
			<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="30" tabindex="1" />
			<label for="author"><?php _e('Name', 'theme'); ?> <?php if ($req) _e('(required)'); ?></label>
			</p>
			
			<p>
			<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="30" tabindex="2" />
			<label for="email"><?php _e('E-mail', 'theme'); ?> <?php if ($req) _e('required)'); ?></label>
			</p>
			
			<p>
			<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="30" tabindex="3" />
			<label for="url"><?php _e('URL', 'theme'); ?></label>
			</p>

		<?php endif; ?>

		<p>
		<textarea name="comment" id="comment" cols="70" rows="10" tabindex="4"></textarea>
		</p>
	
		<p>
		<input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Submit Comment', 'theme'); ?>" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
		</p>
	
		<?php do_action('comment_form', $post->ID); ?>
	
		</form>

	<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
